curl --location 'https://api.inferless.com/rest/model/settings/update/' \
--header 'Authorization: <workspace-token>' \
--header 'Content-Type: application/json' \
--data '{
"model_id": "<model-id>",
"data": {
"min_replica": 0,
"max_replica": 2,
"scale_down_delay": 30,
"inference_time": 120,
"is_dedicated": false,
"machine_type": "T4",
"container_concurrency": 10,
"is_input_output_enabled": false
}
}'
{
"status": "success",
"details": "Model updated successfully"
}
Model Management APIs
Model Settings - Update APIs
This endpoint updates the settings of a model. You can configure Min/Max Replicas, Timeout and Concurrency Settings
POST
/
rest
/
model
/
settings
/
update
/
curl --location 'https://api.inferless.com/rest/model/settings/update/' \
--header 'Authorization: <workspace-token>' \
--header 'Content-Type: application/json' \
--data '{
"model_id": "<model-id>",
"data": {
"min_replica": 0,
"max_replica": 2,
"scale_down_delay": 30,
"inference_time": 120,
"is_dedicated": false,
"machine_type": "T4",
"container_concurrency": 10,
"is_input_output_enabled": false
}
}'
{
"status": "success",
"details": "Model updated successfully"
}
Authorizations
string
required
Your workspace API token. You can find it in Workspace Settings
Body
string
required
The ID of the model whose settings you want to update.
object
required
The settings you want to update for the model.
Show properties
Show properties
integer
The minimum number of replicas for the model.
integer
The maximum number of replicas for the model.
integer
The delay in seconds before scaling down the model.
integer
The maximum time in seconds for the model to process an inference request.
boolean
Whether the model uses a dedicated machine or a shared machine.
string
The machine type for the model.
integer
The number of concurrent requests the model can handle.
boolean
Whether the model supports input and output tracking.
curl --location 'https://api.inferless.com/rest/model/settings/update/' \
--header 'Authorization: <workspace-token>' \
--header 'Content-Type: application/json' \
--data '{
"model_id": "<model-id>",
"data": {
"min_replica": 0,
"max_replica": 2,
"scale_down_delay": 30,
"inference_time": 120,
"is_dedicated": false,
"machine_type": "T4",
"container_concurrency": 10,
"is_input_output_enabled": false
}
}'
{
"status": "success",
"details": "Model updated successfully"
}